<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Signal I/O Interface: SIGNAL_IO_INTERFACE Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Signal I/O Interface
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSIGNAL__IO__INTERFACE-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SIGNAL_IO_INTERFACE Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File/string/stream data input/output methods to be implemented by plugins.  
 <a href="classSIGNAL__IO__INTERFACE.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="signal__io_8h_source.html">signal_io.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a039ba55e464174ac0beeed7f526cd3b4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a039ba55e464174ac0beeed7f526cd3b4">InitDevice</a> (const char *deviceConfig)</td></tr>
<tr class="memdesc:a039ba55e464174ac0beeed7f526cd3b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates plugin specific signal input/output device data structure.  <a href="#a039ba55e464174ac0beeed7f526cd3b4">More...</a><br /></td></tr>
<tr class="separator:a039ba55e464174ac0beeed7f526cd3b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac32d0abaa20630f96d1f31f3a1bbb514"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#ac32d0abaa20630f96d1f31f3a1bbb514">EndDevice</a> (int deviceID)</td></tr>
<tr class="memdesc:ac32d0abaa20630f96d1f31f3a1bbb514"><td class="mdescLeft">&#160;</td><td class="mdescRight">Discards given signal input/output device data structure <br />
  <a href="#ac32d0abaa20630f96d1f31f3a1bbb514">More...</a><br /></td></tr>
<tr class="separator:ac32d0abaa20630f96d1f31f3a1bbb514"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d019a016130cb7319ea50bb5458beaf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a8d019a016130cb7319ea50bb5458beaf">HasError</a> (int deviceID)</td></tr>
<tr class="memdesc:a8d019a016130cb7319ea50bb5458beaf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Verifies occurence of errors on given device.  <a href="#a8d019a016130cb7319ea50bb5458beaf">More...</a><br /></td></tr>
<tr class="separator:a8d019a016130cb7319ea50bb5458beaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5599e5cda769dd5e93674cb43861c6eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a5599e5cda769dd5e93674cb43861c6eb">Reset</a> (int deviceID)</td></tr>
<tr class="memdesc:a5599e5cda769dd5e93674cb43861c6eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets data and errors for given device.  <a href="#a5599e5cda769dd5e93674cb43861c6eb">More...</a><br /></td></tr>
<tr class="separator:a5599e5cda769dd5e93674cb43861c6eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90e8d1884a11392fba57fae28158069a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a90e8d1884a11392fba57fae28158069a">GetMaxInputSamplesNumber</a> (int deviceID)</td></tr>
<tr class="memdesc:a90e8d1884a11392fba57fae28158069a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets number of samples aquired for every given device input channel on each <a class="el" href="classSIGNAL__IO__INTERFACE.html#a3ad20cf842431b4e1c310d9d28b7b47b" title="Reads samples list from specified channel of given device. ">Read()</a> call.  <a href="#a90e8d1884a11392fba57fae28158069a">More...</a><br /></td></tr>
<tr class="separator:a90e8d1884a11392fba57fae28158069a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb6f484ae27314d229d00fcbde2765d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a2eb6f484ae27314d229d00fcbde2765d">CheckInputChannel</a> (int deviceID, unsigned int channel)</td></tr>
<tr class="memdesc:a2eb6f484ae27314d229d00fcbde2765d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check reading availability for specified input channel of given device.  <a href="#a2eb6f484ae27314d229d00fcbde2765d">More...</a><br /></td></tr>
<tr class="separator:a2eb6f484ae27314d229d00fcbde2765d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ad20cf842431b4e1c310d9d28b7b47b"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a3ad20cf842431b4e1c310d9d28b7b47b">Read</a> (int deviceID, unsigned int channel, double *ref_value)</td></tr>
<tr class="memdesc:a3ad20cf842431b4e1c310d9d28b7b47b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads samples list from specified channel of given device.  <a href="#a3ad20cf842431b4e1c310d9d28b7b47b">More...</a><br /></td></tr>
<tr class="separator:a3ad20cf842431b4e1c310d9d28b7b47b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5837cb13e9184cfea75ba579c7f53a5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#ad5837cb13e9184cfea75ba579c7f53a5">AcquireOutputChannel</a> (int deviceID, unsigned int channel)</td></tr>
<tr class="memdesc:ad5837cb13e9184cfea75ba579c7f53a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check availability and get exclusive access for specified output channel of given device.  <a href="#ad5837cb13e9184cfea75ba579c7f53a5">More...</a><br /></td></tr>
<tr class="separator:ad5837cb13e9184cfea75ba579c7f53a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4898bde5d5cc66f84987f28bb127c420"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a4898bde5d5cc66f84987f28bb127c420">ReleaseOutputChannel</a> (int deviceID, unsigned int channel)</td></tr>
<tr class="memdesc:a4898bde5d5cc66f84987f28bb127c420"><td class="mdescLeft">&#160;</td><td class="mdescRight">Give up exclusive access for specified output channel of given device.  <a href="#a4898bde5d5cc66f84987f28bb127c420">More...</a><br /></td></tr>
<tr class="separator:a4898bde5d5cc66f84987f28bb127c420"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348d27978c2c9363d154aaf3de2770c5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSIGNAL__IO__INTERFACE.html#a348d27978c2c9363d154aaf3de2770c5">Write</a> (int deviceID, unsigned int channel, double value)</td></tr>
<tr class="memdesc:a348d27978c2c9363d154aaf3de2770c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes value to specified channel of given device.  <a href="#a348d27978c2c9363d154aaf3de2770c5">More...</a><br /></td></tr>
<tr class="separator:a348d27978c2c9363d154aaf3de2770c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File/string/stream data input/output methods to be implemented by plugins. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad5837cb13e9184cfea75ba579c7f53a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5837cb13e9184cfea75ba579c7f53a5">&#9670;&nbsp;</a></span>AcquireOutputChannel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool AcquireOutputChannel </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check availability and get exclusive access for specified output channel of given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>output device identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>output device channel index </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true on successful channel acquisition (availability for writing), false otherwise </dd></dl>

</div>
</div>
<a id="a2eb6f484ae27314d229d00fcbde2765d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb6f484ae27314d229d00fcbde2765d">&#9670;&nbsp;</a></span>CheckInputChannel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CheckInputChannel </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check reading availability for specified input channel of given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input device identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>input device channel index </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true on channel availability for reading, false otherwise </dd></dl>

</div>
</div>
<a id="ac32d0abaa20630f96d1f31f3a1bbb514"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac32d0abaa20630f96d1f31f3a1bbb514">&#9670;&nbsp;</a></span>EndDevice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EndDevice </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Discards given signal input/output device data structure <br />
 </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input/output device identifier </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a90e8d1884a11392fba57fae28158069a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90e8d1884a11392fba57fae28158069a">&#9670;&nbsp;</a></span>GetMaxInputSamplesNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t GetMaxInputSamplesNumber </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets number of samples aquired for every given device input channel on each <a class="el" href="classSIGNAL__IO__INTERFACE.html#a3ad20cf842431b4e1c310d9d28b7b47b" title="Reads samples list from specified channel of given device. ">Read()</a> call. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input device identifier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>max read samples number (0 on errors) </dd></dl>

</div>
</div>
<a id="a8d019a016130cb7319ea50bb5458beaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d019a016130cb7319ea50bb5458beaf">&#9670;&nbsp;</a></span>HasError()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HasError </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Verifies occurence of errors on given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input/output device identifier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true on detected error, false otherwise </dd></dl>

</div>
</div>
<a id="a039ba55e464174ac0beeed7f526cd3b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a039ba55e464174ac0beeed7f526cd3b4">&#9670;&nbsp;</a></span>InitDevice()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int InitDevice </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>deviceConfig</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates plugin specific signal input/output device data structure. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceConfig</td><td>implementation specific device configuration string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>generic identifier to newly created device (SIGNAL_IO_TASK_INVALID_ID on errors) </dd></dl>

</div>
</div>
<a id="a3ad20cf842431b4e1c310d9d28b7b47b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ad20cf842431b4e1c310d9d28b7b47b">&#9670;&nbsp;</a></span>Read()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t Read </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&#160;</td>
          <td class="paramname"><em>ref_value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reads samples list from specified channel of given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input device identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>input device channel index </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">ref_value</td><td>allocated buffer long enough to hold the samples number returned by <a class="el" href="classSIGNAL__IO__INTERFACE.html#a90e8d1884a11392fba57fae28158069a" title="Gets number of samples aquired for every given device input channel on each Read() call...">GetMaxInputSamplesNumber()</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>number of samples read (0 on errors) </dd></dl>

</div>
</div>
<a id="a4898bde5d5cc66f84987f28bb127c420"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4898bde5d5cc66f84987f28bb127c420">&#9670;&nbsp;</a></span>ReleaseOutputChannel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReleaseOutputChannel </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Give up exclusive access for specified output channel of given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>output device identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>output device channel index </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5599e5cda769dd5e93674cb43861c6eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5599e5cda769dd5e93674cb43861c6eb">&#9670;&nbsp;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Reset </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Resets data and errors for given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>input/output device identifier </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a348d27978c2c9363d154aaf3de2770c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a348d27978c2c9363d154aaf3de2770c5">&#9670;&nbsp;</a></span>Write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Write </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>deviceID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Writes value to specified channel of given device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">deviceID</td><td>output device identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>output device channel index </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>value to be written </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true on successful writing, false otherwise </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="signal__io_8h_source.html">signal_io.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
